Bug 132234 - rpm rebuilddb does not rebuild the db properly
rpm rebuilddb does not rebuild the db properly
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rpm (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Paul Nasrat
Depends On:
  Show dependency treegraph
Reported: 2004-09-09 22:27 EDT by RHN APAC SE FedEx
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-19 15:10:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description RHN APAC SE FedEx 2004-09-09 22:27:40 EDT
Description of problem:
rpm --rebuilddb doesnot recover the rpmdb. db_verify gives 
error "Program version 4.1.25 doesn't match the 
environment version 4.1.24"

Version-Release number of selected component (if applicable):
Most rpm or applications shown "not installed" from the "Add/Remove 
Applications" menu option.

How reproducible:

Steps to Reproduce:
1. cd /var/lib/rpm
2. rm -f __db.00*
3. rpm --rebuilddb -vv
4. db_verify 
Actual results:
Program version 4.1.25 doesn't match the 
environment version 4.1.24

Expected results:
rpm database rebuilt

Additional info:
System still runs fine. Do not want to re-install as the Oracle is 
Comment 1 Tim Powers 2004-09-09 22:33:52 EDT
Changing component to rpm since that's actually what you're having issues with.
Comment 2 Jeff Johnson 2004-09-10 05:03:59 EDT
What does the following say:
    cd /var/lib/rpm
    rm -f __db*
    /usr/lib/rpm/rpmdb_verify Packages

I'm also unsure why db_verify is 4.1.24.

Could you supply the output of
    rpm -qf `which db_verify`
to identify which package installed db_verify?
Comment 3 H. Pilkington 2004-12-09 11:47:53 EST

Note You need to log in before you can comment on or make changes to this bug.